Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet
Class MuleReceiverServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.AbstractReceiverServlet
                  org.mule.transport.servlet.MuleReceiverServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

Direct Known Subclasses:
  JettyReceiverServlet, MuleRESTReceiverServlet

    public class MuleReceiverServlet

extends AbstractReceiverServlet

Receives Http requests via a Servlet and routes them to listeners with servlet:// endpoints

See Also:
  Serialized Form

Field Summary
`protected ServletConnector` | `connector`

Fields inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`DEFAULT_CONTENT_TYPE_PROPERTY, DEFAULT_GET_TIMEOUT, DEFAULT_PAYLOAD_PARAMETER_NAME, defaultContentType, feedback, FEEDBACK_PROPERTY, logger, muleContext, PAYLOAD_PARAMETER_NAME, payloadParameterName, REQUEST_TIMEOUT_PROPERTY, SERVLET_CONNECTOR_NAME_PROPERTY, timeout`

Constructor Summary
`MuleReceiverServlet()`

Method Summary
`protected void` | `doAllMethods(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doDelete(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doHead(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doInit()`
`protected void` | `doOptions(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doPut(HttpServletRequest req, HttpServletResponse resp)`
`protected void` | `doTrace(HttpServletRequest req, HttpServletResponse resp)`
`protected ServletConnector` | `getOrCreateServletConnector(String name)`
`protected MessageReceiver` | `getReceiverForURI(HttpServletRequest httpServletRequest)`
`protected String` | `getReceiverName(HttpServletRequest httpServletRequest)`
`protected Map<Object,MessageReceiver>` | `getReceivers()`
`protected String` | `getRequestUrl(HttpServletRequest httpServletRequest)`
`protected MessageReceiver` | `matchReceiverByWildcard(String uri, MessageReceiver receiver)`
`protected MuleEvent` | `routeMessage(MessageReceiver receiver, MuleMessage requestMessage, HttpServletRequest request)`
`protected void` | `setupRequestMessage(HttpServletRequest request, MuleMessage requestMessage)`
`protected void` | `setupRequestMessage(HttpServletRequest request, MuleMessage requestMessage, MessageReceiver receiver)`

Methods inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`handleException, init, setHttpHeadersOnServletResponse, setupMuleContext, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connector

    protected ServletConnector connector

Constructor Detail

### MuleReceiverServlet

    public MuleReceiverServlet()

Method Detail

### doInit

    protected void doInit()
                   throws ServletException

  Overrides:
    `doInit` in class `AbstractReceiverServlet`
  Throws:
    `ServletException`

### getOrCreateServletConnector

    protected ServletConnector getOrCreateServletConnector(String name)
                                                    throws ServletException

  Throws:
    `ServletException`

### setupRequestMessage

    protected void setupRequestMessage(HttpServletRequest request,
                                       MuleMessage requestMessage,
                                       MessageReceiver receiver)

### setupRequestMessage

    protected void setupRequestMessage(HttpServletRequest request,
                                       MuleMessage requestMessage)

### doGet

    protected void doGet(HttpServletRequest req,
                         HttpServletResponse resp)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doPost

    protected void doPost(HttpServletRequest req,
                          HttpServletResponse resp)
                   throws ServletException,
                          IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doHead

    protected void doHead(HttpServletRequest req,
                          HttpServletResponse resp)
                   throws ServletException,
                          IOException

  Overrides:
    `doHead` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doDelete

    protected void doDelete(HttpServletRequest req,
                            HttpServletResponse resp)
                     throws ServletException,
                            IOException

  Overrides:
    `doDelete` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doPut

    protected void doPut(HttpServletRequest req,
                         HttpServletResponse resp)
                  throws ServletException,
                         IOException

  Overrides:
    `doPut` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doOptions

    protected void doOptions(HttpServletRequest req,
                             HttpServletResponse resp)
                      throws ServletException,
                             IOException

  Overrides:
    `doOptions` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doTrace

    protected void doTrace(HttpServletRequest req,
                           HttpServletResponse resp)
                    throws ServletException,
                           IOException

  Overrides:
    `doTrace` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doAllMethods

    protected void doAllMethods(HttpServletRequest request,
                                HttpServletResponse response)
                         throws ServletException,
                                IOException

  Throws:
    `ServletException`
    `IOException`

### routeMessage

    protected MuleEvent routeMessage(MessageReceiver receiver,
                                     MuleMessage requestMessage,
                                     HttpServletRequest request)
                              throws MuleException

  Throws:
    `MuleException`

### getReceiverForURI

    protected MessageReceiver getReceiverForURI(HttpServletRequest httpServletRequest)
                                         throws EndpointException

  Throws:
    `EndpointException`

### matchReceiverByWildcard

    protected MessageReceiver matchReceiverByWildcard(String uri,
                                                      MessageReceiver receiver)

### getRequestUrl

    protected String getRequestUrl(HttpServletRequest httpServletRequest)

### getReceiverName

    protected String getReceiverName(HttpServletRequest httpServletRequest)

### getReceivers

    protected Map<Object,MessageReceiver> getReceivers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.